GET
/
api
/
v1
/
messages
/
channels
/
{channel_id}
Get Channel Messages
curl --request GET \
  --url https://api.jobsim.work/api/v1/messages/channels/{channel_id} \
  --header 'Authorization: Bearer <token>'
[
  {
    "content": "<string>",
    "user_id": "<string>",
    "organization_id": "<string>",
    "_id": "<string>",
    "message_type": "text",
    "channel_id": "<string>",
    "conversation_id": "<string>",
    "thread_id": "<string>",
    "reply_to": "<string>",
    "attachments": [
      {}
    ],
    "reactions": {},
    "edited_at": "<string>",
    "deleted_at": "<string>",
    "created_at": "<string>",
    "metadata": {},
    "reply_count": 0
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

channel_id
string
required

Query Parameters

limit
integer
default:1000
Required range: x <= 10000
before
string | null

Response

Successful Response

content
string
required
user_id
string
required
organization_id
string
required
_id
string | null
message_type
enum<string>
default:text
Available options:
text,
file,
system
channel_id
string | null
conversation_id
string | null
thread_id
string | null
reply_to
string | null
attachments
Attachments · object[]
reactions
Reactions · object
edited_at
string | null
deleted_at
string | null
created_at
string | null
metadata
Metadata · object
reply_count
integer | null
default:0

Number of replies in thread